plot.confband.lines {sma} | R Documentation

## Adding Lines Satisfying a Confidence Criterion to the Current M vs A Plot

### Description

This function adds 2 lines outlining the pointwise (intensity dependent) confidence band on the M vs A plot. The lines are drawn such that a prespecified proportion of points are outside the 2 confidence curves. The type of line may be specified as well as other parameters.

### Usage

    plot.confband.lines(x, M, crit1=0.025, crit2=crit1, nclass=10, ...)

### Arguments

`x` | a vector giving the x-coordinates of the points in the scatter plot. In the microarray context, this could be a vector of average log intensities, ie A
`M` | a vector giving the y-coordinates of the points in the scatter plot. In the microarray context, this could be a vector of log intensity ratios.
`crit1` | The proportion of points less than the lower confidence curve. This takes a decimal value between 0 and 1.
`crit2` | The proportion of points greater than the upper confidence curve. By default, this has the same value as "crit1".
`nclass` | A single number giving the approximate number of intensity depedent groups to consider.
`...` | graphical parameters may also be supplied as arguments to the function (see `par`).

### Value

Lines are added to the current plot.

### Note

An M vs A plot must be constructed prior to the execution of this function.

### See Also

`plot.mva`, `stat.ma`, `lines`, `matlines`, `plot.confband.text`, `plot.confband.points` .

### Examples

    data(MouseArray)
    ## mouse.setup <- init.grid
    ## mouse.data <- init.data

    ## To display an M vs A plot of the data
    plot.mva(mouse.data, mouse.setup)

    ## Calculate M and A values
    mouse.lratio <- stat.ma(mouse.data, mouse.setup)

    ## To add default upper and lower confidence curves line to the M vs A plot
    plot.confband.lines(mouse.lratio$A, mouse.lratio$M)

[Package sma version 0.5.14 Index]